List Hero SMS services
GET
/providers/herosms/services
const url = 'https://api.clearance.rest/numbers/providers/herosms/services';const options = {method: 'GET', headers: {'X-API-Key': '<X-API-Key>'}};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request GET \ --url https://api.clearance.rest/numbers/providers/herosms/services \ --header 'X-API-Key: <X-API-Key>'Services a number can be rented for. code is the value to pass as service when renting.
Authorizations
Section titled “Authorizations”Parameters
Section titled “Parameters”Query Parameters
Section titled “Query Parameters”country
integer
Only services offered in this country (Hero SMS numeric id).
Responses
Section titled “Responses”Services.
Media typeapplication/json
object
success
required
boolean
services
required
Array<object>
object
code
required
string
name
required
string
Example
{ "success": true, "services": [ { "code": "tg", "name": "Telegram" } ]}The X-API-Key header is missing or invalid.
Media typeapplication/json
Error envelope returned with a non-2xx status.
object
success
required
boolean
error
required
Human-readable error message.
string
Example
{ "success": false, "error": "geçersiz API anahtarı"}The upstream provider call failed (network error, auth error, or the provider’s own error).
Media typeapplication/json
Error envelope returned with a non-2xx status.
object
success
required
boolean
error
required
Human-readable error message.
string
Example
{ "success": false, "error": "invalid json body"}